classification
Title: Mention "Recommendations for Secure Use of TLS and DTLS"
Type: enhancement Stage: resolved
Components: Documentation, SSL Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, christian.heimes, docs@python, dstufft, giampaolo.rodola, janssen, pitrou
Priority: low Keywords:

Created on 2014-06-03 09:09 by pitrou, last changed 2017-09-07 00:32 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3387 merged christian.heimes, 2017-09-06 17:14
PR 3399 merged python-dev, 2017-09-06 23:20
PR 3400 merged python-dev, 2017-09-06 23:20
Messages (6)
msg219673 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-06-03 09:09
The IETF has a draft for TLS protocol recommendations, perhaps we can mention it in the ssl module docs:

http://tools.ietf.org/html/draft-ietf-uta-tls-bcp
msg275031 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2016-09-08 14:55
https://wiki.mozilla.org/Security/Server_Side_TLS is a good resource, too.
msg301542 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-09-06 23:19
New changeset ad0ffa033ea79f7c7cb14b1b1cc10888ea9e9913 by Christian Heimes in branch 'master':
bpo-21649: Add RFC 7525 and Mozilla server side TLS (#3387)
https://github.com/python/cpython/commit/ad0ffa033ea79f7c7cb14b1b1cc10888ea9e9913
msg301554 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-07 00:31
New changeset 1fc47b40af3e3e80902100a2baa472b19dd47010 by Mariatta (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-21649: Add RFC 7525 and Mozilla server side TLS (GH-3387) (GH-3399)
https://github.com/python/cpython/commit/1fc47b40af3e3e80902100a2baa472b19dd47010
msg301555 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-07 00:31
New changeset ab4894bba6e51105706f9fa016821434256585cd by Mariatta (Miss Islington (bot)) in branch '2.7':
[2.7] bpo-21649: Add RFC 7525 and Mozilla server side TLS (GH-3387) (GH-3400)
https://github.com/python/cpython/commit/ab4894bba6e51105706f9fa016821434256585cd
msg301556 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-09-07 00:32
This has been backported. Closing the issue.
Thanks all.
History
Date User Action Args
2017-09-07 00:32:27Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg301556

stage: resolved
2017-09-07 00:31:50Mariattasetmessages: + msg301555
2017-09-07 00:31:33Mariattasetnosy: + Mariatta
messages: + msg301554
2017-09-06 23:20:07python-devsetpull_requests: + pull_request3406
2017-09-06 23:20:06python-devsetpull_requests: + pull_request3405
2017-09-06 23:19:58christian.heimessetmessages: + msg301542
2017-09-06 17:14:00christian.heimessetpull_requests: + pull_request3394
2016-09-15 07:55:52christian.heimessetcomponents: + SSL
2016-09-08 14:55:30christian.heimessetmessages: + msg275031
versions: + Python 3.6, Python 3.7
2014-06-03 09:09:57pitroucreate